HOW, WHERE, PLEASE!!!! Rated 1 out of 5 stars

All I can see there is the old 0.7.0 version, not Thunderbird 5 compatible.
How can I get the 0.7.2.1 version?
Where?

PLEASE!!!!!!!!!!